{
	"format_version": "1.8.0",
	"animations": {
		"animation.mechanical_bearing.stop": {
			"loop": true,
			"animation_length": 20,
			"bones": {
				"bone": {
					"rotation": {
						"0.0": ["q.property('rc:lado_x')*90", "q.property('rc:lado_y')*90", 0]
					}
				},
				"head": {
					"rotation": {
						"0.0": [0, 0, 0]
					}
				}
			}
		},
		"animation.mechanical_bearing.spin": {
			"loop": true,
			"animation_length": 20,
			"bones": {
				"bone": {
					"rotation": {
						"0.0": ["q.property('rc:lado_x')*90", "q.property('rc:lado_y')*90", 0]
					}
				},
				"head": {
					"rotation": {
						"0.0": [0, 0, 0],
						"20.0": [0, "q.scoreboard('speed')*360", 0]
					}
				}
			}
		},
		"animation.bearing_item.stop": {
			"loop": true,
			"animation_length": 20,
			"bones": {
				"bone": {
					"rotation": {
						"0.0": ["q.property('rc:lado_x')*90", "q.property('rc:lado_y')*90", 0]
					}
				},
				"rightitem": {
					"scale": 2.7
				},
				"leftitem": { 
					"scale": 2.7,
					"position": ["q.property('rc:x')*16+11.2", "q.property('rc:y')*16+4", "q.property('rc:z')*16+11.2"]
				}
			}
		},
		"animation.bearing_item.spin": {
			"loop": true,
			"animation_length": 20,
			"bones": {
				"bone": {
					"rotation": {
						"0.0": [0, 0, 0],
						"20.0": ["q.property('rc:active_x')*q.scoreboard('speed')*360+0",    "q.property('rc:active_y')*q.scoreboard('speed')*360+0",     "q.property('rc:active_z')*q.scoreboard('speed')*360"]
					}
				},
				"rightitem": {
					"scale": 2.7
				},
				"leftitem": { 
					"scale": 2.7,
					"position": ["q.property('rc:x')*16+11.2", "q.property('rc:y')*16+4", "q.property('rc:z')*16+11.2"],
					"rotation": ["q.property('rc:lado_x')*90", "q.property('rc:lado_y')*90", 0]
				}
			}
		}
	}
}